<template>
    <div class="col-12">
        <h2>Gestion des Devis</h2>
        <br>
        <FactureList v-bind:projects="projects" v-on:validate="validate" v-on:remove="remove" v-bind:canEdit="true"></FactureList>
    </div>
</template>

<script>
import FactureList from '@/components/shared/Factures.List.vue';
import { editProject } from '@/api/projects.service.js';
export default {
    components: {
        FactureList
    },
    computed: {
        projects() {
            if (this.$store.getters.getAllDevis) {
                return this.$store.getters.getAllDevis;
            }
            return [];
        }
    },
    created() {
        this.$store.dispatch('setAllProjects');
    },
    methods: {
        validate(project) {
            project.facture.type = "Facture";
            let id = project._id;
            editProject(id, project).then(() => {
                this.$store.dispatch('setAllProjects');
            });
        },
        remove(project) {
            project.facture = new Object();
            let id = project._id;
            editProject(id, project).then(() => {
                this.$store.dispatch('setAllProjects');
            });
        }

    }
}
</script>

<style scoped>
.but {
    margin-bottom: 50px;
}
</style>
